petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecRestoreArray1d

Restores a vector after VecGetArray1d() has been called.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecRestoreArray1d(Vec x,PetscInt m,PetscInt mstart,PetscScalar *a[])

Logically Collective Many br

### Input Parameters

| x | - the vector Many br
| m | - first dimension of two dimensional array Many br
| mstart | - first index you will use in first coordinate direction (often 0) Many br
| a | - location of pointer to array obtained from VecGetArray21() Many br

Many br

### Notes

For regular PETSc vectors this routine does not involve any copies. For Many brany special vectors that do not store local vector data in a contiguous Many brarray, this routine will copy the data back into the underlying Many brvector data structure from the array obtained with VecGetArray1d(). Many br

This routine actually zeros out the a pointer. Many br

### See Also

VecGetArray(), VecRestoreArray(), VecRestoreArrays(), VecRestoreArrayF90(), VecPlaceArray(),
VecGetArray2d(), VecGetArray3d(), VecRestoreArray3d(), DMDAVecGetArray(), DMDAVecRestoreArray() Many brVecGetArray1d(), VecRestoreArray2d(), VecGetArray4d(), VecRestoreArray4d() Many br

Level:developer
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages